---@module 'lazy'
---@type LazySpec
return { {
	'lmburns/lf.nvim',
	lazy = false,
	dependencies = { 'akinsho/toggleterm.nvim' },
	---@module 'lf'
	---@type Lf.Config
	opts = {
		direction = 'float',
		border = 'rounded',
	},
	config = function(_, opts)
		vim.g.lf_netrw = 1

		local lf = require('lf')
		lf.setup(opts)

		Map({ 'n' }, '<leader>o', lf.start, { desc = 'Shows the LF window' })
	end
} }
